#!/bin/bash

# MYP Datenbank Initialisierungs-Skript
# Dieses Skript erstellt die erforderlichen Datenbanktabellen für das MYP Backend

echo "=== MYP Datenbank Initialisierung ==="
echo ""

# Aktiviere virtuelle Umgebung, falls vorhanden
if [ -d "venv" ]; then
    echo "Aktiviere virtuelle Python-Umgebung..."
    source venv/bin/activate
fi

# Prüfe, ob Flask installiert ist
if ! python -c "import flask" &> /dev/null; then
    echo "FEHLER: Flask ist nicht installiert."
    echo "Bitte führe zuerst 'pip install -r requirements.txt' aus."
    exit 1
fi

# Erstelle Instance-Ordner, falls nicht vorhanden
echo "Erstelle instance-Ordner, falls nicht vorhanden..."
mkdir -p instance/backups

# Initialisiere die Datenbank
echo ""
echo "Initialisiere die Datenbank..."
FLASK_APP=app.py flask db init
FLASK_APP=app.py flask db migrate -m "Initiale Datenbank-Erstellung"
FLASK_APP=app.py flask db upgrade

echo ""
echo "=== Datenbank-Initialisierung abgeschlossen ==="
echo ""
echo "Du kannst jetzt einen Admin-Benutzer über die Web-Oberfläche registrieren."
echo "Der erste registrierte Benutzer wird automatisch zum Admin."
echo ""
echo "Starte den Server mit:"
echo "python app.py"
echo ""